swagger: "2.0"
info:
  version: 1.2.7
  title: "pdf"
  description: "PDF Delivery"
  termsOfService: "http://taxnexus.net/terms/"
  contact:
    email: "noc@taxnexus.net"
  license:
    name: "Proprietary - Copyright (c) 2018-2020 by Taxnexus, Inc."
schemes:
  - "http"
basePath: "/v1"
host: "pdf.fabric.tnxs.net:8080"
consumes:
  - "application/json"
produces:
  - "application/json"
responses:
  AccessForbidden:
    description: "Access forbidden, account lacks access"
    schema:
      $ref: "#/definitions/Error"
  NotFound:
    description: Resource was not found
    schema:
      $ref: "#/definitions/Error"
  ServerError:
    description: Server Internal Error
    schema:
      $ref: "#/definitions/Error"
  Unauthorized:
    description: "Access Unauthorized, invalid API-KEY was used"
    schema:
      $ref: "#/definitions/Error"
  UnprocessableEntity:
    description: "Unprocessable Entity, likely a bad parameter"
    schema:
      $ref: "#/definitions/Error"
paths:
  /pdfs/{pdfId}:
    get:
      description: Return a PDF from the datastore
      operationId: getPDF
      parameters:
        - name: pdfId
          in: path
          description: Taxnexus Record ID
          required: true
          type: string
      produces:
        - application/pdf
      responses:
        "200":
          headers:
            Content-Disposition:
              type: string
              description: Specifies download file name
            Content-Length:
              type: number
              format: int32
              description: The size of the file
            Content-Location:
              type: string
              description: The URL of the document
          description: A PDF file
          schema:
            type: file
        "401":
          $ref: "#/responses/Unauthorized"
        "403":
          $ref: "#/responses/AccessForbidden"
        "404":
          $ref: "#/responses/NotFound"
        "422":
          $ref: "#/responses/UnprocessableEntity"
        "500":
          $ref: "#/responses/ServerError"
      summary: Send a PDF in response to an identifier
      tags:
        - Pdf
definitions:
  Error:
    properties:
      Code:
        format: int64
        type: integer
      Fields:
        type: string
      Message:
        type: string
    type: object
